LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XHierarchicalPropertySet Interface Referencepublished

provides information about and access to the a hierarchy of properties from an implementation. More...

`import"XHierarchicalPropertySet.idl";`

Inheritance diagram for XHierarchicalPropertySet:

## Public Member Functions
com::sun::star::beans::XHierarchicalPropertySetInfo | getHierarchicalPropertySetInfo ()
| retrieve information about the hierarchy of properties More...
void | setHierarchicalPropertyValue ([in] string aHierarchicalPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified nested name. More...
any | getHierarchicalPropertyValue ([in] string aHierarchicalPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides information about and access to the a hierarchy of properties from an implementation.

Usually an object that implements this interface also implements XPropertySet and at least some of the properties have subproperties.

This interface allows direct access to subsubproperties, ... up to an arbitrary nesting depth. Often the intermediate elements of the hierarchy implement XProperty.

Each implementation specifies how the hierarchical property names, that are used to access the elements of the hierarchy, are formed.

Commonly a notation similar to filesystem paths (separated by '/' slashes) or nested module names (separated by dots '.' or '::') is used.

## Member Function Documentation

## ◆ getHierarchicalPropertySetInfo()

com::sun::star::beans::XHierarchicalPropertySetInfo getHierarchicalPropertySetInfo | ( |  | ) |

retrieve information about the hierarchy of properties

Returns
  the XHierarchicalPropertySetInfo interface, which describes the property hierarchy of the object which supplies this interface.
  `NULL` if the implementation cannot or will not provide information about the properties; otherwise the interface XHierarchicalPropertySetInfo is returned.

## ◆ getHierarchicalPropertyValue()

any getHierarchicalPropertyValue | ( | [in] string | aHierarchicalPropertyName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Returns
  the value of the property with the specified nested name.

Parameters

  aHierarchicalPropertyName | This parameter specifies the name of the property.

Exceptions

  UnknownPropertyException | if the property does not exist.
  com::sun::star::uno::lang::IllegalArgumentException | if aHierarchicalPropertyName is not a well-formed nested name for this hierarchy. An implementation is not required to detect this condition.
  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into that com::sun::star::lang::WrappedTargetException.

See also
  XPropertySet::getPropertyValue

## ◆ setHierarchicalPropertyValue()

void setHierarchicalPropertyValue | ( | [in] string | aHierarchicalPropertyName,
|  | [in] any | aValue
| ) |  |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::beans::PropertyVetoException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

sets the value of the property with the specified nested name.

Parameters

  aHierarchicalPropertyName | This parameter specifies the name of the property.
  aValue | This parameter specifies the new value for the property.

Exceptions

  UnknownPropertyException | if the property does not exist.
  PropertyVetoException | if the property is constrained and the change is vetoed by a XVetoableChangeListener.
  com::sun::star::uno::lang::IllegalArgumentException | if aValue is not a legal value for this property or if aHierarchicalPropertyName is not a well-formed nested name for this hierarchy. An implementation is not required to detect the latter condition.
  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into that com::sun::star::lang::WrappedTargetException.

See also
  XPropertySet::setPropertyValue

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XHierarchicalPropertySet.idl